%define noalsa  alpha ppc sparc sparc64 %{ix86}

Summary:	GNOME media programs
Name:		gnome-media
Version:	1.2.3
Release:	7mdk
License:	LGPL
Group:		Graphical desktop/GNOME
BuildRequires:	bonobo-devel libghttp-devel ncurses-devel scrollkeeper smtpdaemon
Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-media/gnome-media-%{version}.tar.bz2
Source3:	gnome-mixer.png
# (fc) 1.2.3-7mdk don't complain in init mode if devfsd is running and if no /dev/mixer is found (ie no sound card installed)
Patch0:     gnome-media-1.2.3-devfs.patch.bz2
BuildRoot:	%{_tmppath}/%name-%version-root
Icon:		gnome-media-logo.xpm
URL:		http://www.gnome.org/
PreReq:		scrollkeeper
Obsoletes:	grecord
Provides:	grecord

%ifnarch %{noalsa}
Requires:	alsa-lib
Buildrequires:	alsa-lib, alsa-lib-devel
%endif

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME (as KDE) 
is based completely on Open Source software.

GNOME's powerful environment is pleasing on the eye, easy to
configure and use.

This package will install such media features as the GNOME
CD player.


%prep
%setup -q 
%patch0 -p1 -b .devfs

cp %{SOURCE3} gmix/

%build

%configure \
%ifnarch %{noalsa}
--enable-alsa
%else
--disable-alsa
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/gtcd" \
	section="Multimedia/Sound" \
	title="Gnome CD Player" \
	icon="%{_datadir}/pixmaps/gtcd.png"
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/gmix" \
	section="Multimedia/Sound" \
	title="Audio Mixer" \
	icon="%{_datadir}/pixmaps/gnome-mixer.png"
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/vumeter" \
	section="Multimedia/Sound" \
	title="ESD Volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png"
?package(%{name}): \
	needs=gnome \
	command="%{_bindir}/grecord" \
	section="Multimedia/Sound" \
	title="Sound Recorder" \
	icon="%{_datadir}/pixmaps/gnome-grecord.png"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{clean_menus}

%files -f  %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/CORBA/servers/*
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_datadir}/gnome/cddb-submit-methods
%{_datadir}/gnome/apps/*/*
%{_datadir}/gnome/help/*
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/omf/*

%changelog
* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-7mdk
- Patch0: don't complain in init mode when devfsd is running and no sound
  card is found

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-6mdk
- integrated Basque translation

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-5mdk
- fix BuildRequires
- Provide grecord (rpmlint)

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-4mdk
- rebuild including latest translations

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-3mdk
- Add obsoletes on grecord 

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	ORBit-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-1mdk
- Release 1.2.3
- Remove all patches (merged upstream)

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Remove patch1
- Merge patches 4 5 6 & 8 and sources 1 & 2 in patch 4 (ximian patch)
- New patch5 for better grecord command search (ximian patch)
- Add missing corba files
- Add scrollkeeper support

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-14mdk
- Fix bug 1048 : don't compile with ALSA support. Will try to 
  detect sound support at runtime in a future release.

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.coM> 1.2.0-13mdk
- Fix build for PPC

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-12mdk
- Doesn't provide gnome core directories (provided by gnome-libs), correct bug #614

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-11mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-10mdk
- Merge from helix : correct cddb submit not working

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- build with alsa support only on supported architectures
- bzip complementary files

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-8mdk
- rebuilt without --disable-alsa. I sux.
- re-applying patch9

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-7mdk
- rebuild with --disable-alsa
- not appying patch9 anymore.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-6mdk
- BM + macrozificaion

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-5mdk
- compile against current alsa lib

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-4mdk
- use new macros
- reput need alsa requirement for gmix !!! (damscks)
- also add build requirements on alsa-lib{-devel,}
- add missing files (*.desktop, *.idl, mime files, ...)

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- Corrected bad alsa requirement.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix.
- added patches.

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- added menu entries.
- path to icons remains hardcoded.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-2mdk
- adjust group.
- spec cleaned.

* Sat Oct 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.51

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.9.1
- cleaned %files
- added an icon

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.9.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Mandrake.
- Stripping again ;-)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
